<?php
///////////////////////////////////////////////////////////////////////////////////////////////////
// UPDATE USER DETAILS/////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
refreshReportStatus('extractMainDataFromDb', 'updateUserDetails', 0);

// update the office name
$reportCopyInfo = new \App\Reports\Db\ManageRecords\UpdateSimple($reportTable, $availableTableColumns);
$reportCopyInfo->populateSimple($DBTOffices, 'officeName', 'idOffice', 'name');

// update the department name
$reportCopyInfo = new \App\Reports\Db\ManageRecords\UpdateSimple($reportTable, $availableTableColumns);
$reportCopyInfo->populateSimple($DBTDepartments, 'departmentName', 'idDepartment', 'name');


///////////////////////////////////////////////////////////////////////////////////////////////////
// UPDATE ACCESS DETAILS///////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
refreshReportStatus('extractMainDataFromDb', 'updateAccessDetails', 0);

// update the profile name
$reportCopyInfo = new \App\Reports\Db\ManageRecords\UpdateSimple($reportTable, $availableTableColumns);
$reportCopyInfo->populateSimple($DBTUserProfiles, 'profileName', 'idProfile', 'name');

if (in_array('sectionName', $availableTableColumns)) {
	\App\Loader_Lang::getInstance()->loadAppFile("_customLoad/usersAccess/options.lang.php");
	$_LANG = \App\Loader_Lang::getInstance()->getAll();
}

// update the section name (option)
$reportCopyInfo = new \App\Reports\Db\ManageRecords\Update($reportTable, 'rep', $availableTableColumns);
$reportCopyInfo->addCaseStructureColumn("sectionName",   "idSection",   (Array)$_LANG['usersAccess']['options']);
$reportCopyInfo->addFilter("rep.type", "=", "option");
$reportCopyInfo->populate();

// update the section name (section)
$reportCopyInfo = new \App\Reports\Db\ManageRecords\Update($reportTable, 'rep', $availableTableColumns);
$reportCopyInfo->addCaseStructureColumn("sectionName",   "idSection",   (Array)$_LANG['menu']);
$reportCopyInfo->addFilter("rep.type", "=", "section");
$reportCopyInfo->populate();

